OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class SnmpMonitorTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.poller.monitors.SnmpMonitorTest

All Implemented Interfaces:
  junit.framework.Test

public class SnmpMonitorTest
extends junit.framework.TestCase

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) SnmpMonitor` `monitor`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`SnmpMonitorTest()`

Method Summary
`void` `setUp()`
`void` `tearDown()`
`void` `testErrorConditions()`
`void` `testMeetsCriteriaWithCounter32()`
`void` `testMeetsCriteriaWithCounter64()`
`void` `testMeetsCriteriaWithGuage32()`
`void` `testMeetsCriteriaWithInteger()`
`void` `testMeetsCriteriaWithIPAddr()`
`void` `testMeetsCriteriaWithNullResult()`
`void` `testMeetsCriteriaWithObjectID()`
`void` `testMeetsCriteriaWithSnmpNull()`
`void` `testMeetsCriteriaWithString()`
`void` `testMeetsCriteriaWithTimeTicks()`
`void` `testNumericString()`
`private void` `testOrderOperations(SnmpSyntax result, int value)`
`private void` `testSyntaxEquals(SnmpSyntax result, java.lang.String eqString, java.lang.String neString)`
`private void` `testSyntaxMatches(SnmpSyntax result, java.lang.String matchString, java.lang.String noMatchString)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### monitor

    SnmpMonitor monitor

Constructor Detail

### SnmpMonitorTest

    public SnmpMonitorTest()

Method Detail

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testMeetsCriteriaWithNullResult

    public void testMeetsCriteriaWithNullResult()

### testMeetsCriteriaWithSnmpNull

    public void testMeetsCriteriaWithSnmpNull()

### testMeetsCriteriaWithString

    public void testMeetsCriteriaWithString()

### testMeetsCriteriaWithObjectID

    public void testMeetsCriteriaWithObjectID()

### testMeetsCriteriaWithIPAddr

    public void testMeetsCriteriaWithIPAddr()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNumericString

    public void testNumericString()

### testMeetsCriteriaWithInteger

    public void testMeetsCriteriaWithInteger()

### testMeetsCriteriaWithCounter32

    public void testMeetsCriteriaWithCounter32()

### testMeetsCriteriaWithGuage32

    public void testMeetsCriteriaWithGuage32()

### testMeetsCriteriaWithTimeTicks

    public void testMeetsCriteriaWithTimeTicks()

### testMeetsCriteriaWithCounter64

    public void testMeetsCriteriaWithCounter64()

### testErrorConditions

    public void testErrorConditions()

### testSyntaxEquals

    private void testSyntaxEquals(SnmpSyntax result,
                                  java.lang.String eqString,
                                  java.lang.String neString)

### testSyntaxMatches

    private void testSyntaxMatches(SnmpSyntax result,
                                   java.lang.String matchString,
                                   java.lang.String noMatchString)

### testOrderOperations

    private void testOrderOperations(SnmpSyntax result,
                                     int value)

  Parameters:
    `result` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.